classification
Title: 2.7 incorrectly documents objects hash as equal to id
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ezio.melotti Nosy List: Elena.Oat, docs@python, ezio.melotti, python-dev, wim.glenn
Priority: normal Keywords: patch

Created on 2015-11-06 22:35 by wim.glenn, last changed 2016-01-12 09:37 by ezio.melotti. This issue is now closed.

Files
File name Uploaded Description Edit
mywork.patch wim.glenn, 2015-11-06 22:35 review
issue25574.diff Elena.Oat, 2016-01-09 13:15
Messages (4)
msg254237 - (view) Author: wim glenn (wim.glenn) * Date: 2015-11-06 22:35
The 2.7 glossary still incorrectly mentions instances of user-defined classes hash equal to their id.  
https://docs.python.org/2/glossary.html#term-hashable

Just a minor documentation bug that was unfortunately missed by http://bugs.python.org/issue21782
msg257826 - (view) Author: Elena Oat (Elena.Oat) * Date: 2016-01-09 13:15
Updated the documentation. Now it says that the hash is derived from id, as it says already in Python 3 docs.
msg258089 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-01-12 09:36
New changeset 499ee454eecc by Ezio Melotti in branch '2.7':
#25574: backport glossary doc fix about hash and id of user-defined classes.
https://hg.python.org/cpython/rev/499ee454eecc
msg258090 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-12 09:37
Fixed, thanks for the report and the patch!
History
Date User Action Args
2016-01-12 09:37:14ezio.melottisetstatus: open -> closed

type: enhancement
assignee: docs@python -> ezio.melotti

nosy: + ezio.melotti
messages: + msg258090
resolution: fixed
stage: resolved
2016-01-12 09:36:46python-devsetnosy: + python-dev
messages: + msg258089
2016-01-09 13:15:01Elena.Oatsetfiles: + issue25574.diff
nosy: + Elena.Oat
messages: + msg257826

2015-11-06 22:35:05wim.glenncreate